{
	"name": "form/manager/chart/chart_dropdown.json",
	"mark_type": [
		{
			"show": "Rect",
			"icon": "far fa-bar-chart",
			"value": "rect"
		},
		{
			"show": "Line",
			"value": "line"
		},
		{
			"show": "Text",
			"value": "text"
		},
		{
			"show": "Area",
			"value": "area"
		},
		{
			"show": "Arc",
			"value": "arc"
		},
		{
			"show": "Image",
			"value": "image"
		},
		{
			"show": "Symbol",
			"value": "symbol"
		},
		{
			"show": "Path",
			"value": "area"
		},
		{
			"show": "Rule",
			"value": "rule"
		},
		{
			"show": "Group",
			"value": "group"
		}
	],
	"data_transform": [
		{
			"show": "Aggregate",
			"value": "aggregate"
		},
		{
			"show": "Bin",
			"value": "bin"
		},
		{
			"show": "Countpattern",
			"value": "countpattern"
		},
		{
			"show": "Cross",
			"value": "cross"
		},
		{
			"show": "Facet",
			"value": "facet"
		},
		{
			"show": "Filter",
			"value": "filter"
		},
		{
			"show": "Fold",
			"value": "fold"
		},
		{
			"show": "Formula",
			"value": "formula"
		},
		{
			"show": "Impute",
			"value": "impute"
		},
		{
			"show": "Lookup",
			"value": "lookup"
		},
		{
			"show": "Rank",
			"value": "rank"
		},
		{
			"show": "Treeify",
			"value": "treeify"
		}
	],
	"axis_orient": [
		{
			"show": "Top",
			"value": "top"
		},
		{
			"show": "Bottom",
			"value": "bottom"
		},
		{
			"show": "Rigth",
			"value": "right"
		},
		{
			"show": "Left",
			"value": "left"
		}
	],
	"data_additionalProperties": [
		{
			"show": "Number",
			"value": "number"
		},
		{
			"show": "Boolean",
			"value": "boolean"
		},
		{
			"show": "Date",
			"value": "date"
		},
		{
			"show": "String",
			"value": "string"
		}
	],
	"mark_ease": [
		{
			"show": "Linear-in",
			"value": "linear-in"
		},
		{
			"show": "Linear-out",
			"value": "linear-out"
		},
		{
			"show": "Linear-in-out",
			"value": "linear-in-out"
		},
		{
			"show": "Linear-out-in",
			"value": "linear-out-in"
		},
		{
			"show": "Quad-in",
			"value": "quad-in"
		},
		{
			"show": "Quad-out",
			"value": "quad-out"
		},
		{
			"show": "Quad-in-out",
			"value": "quad-in-out"
		},
		{
			"show": "Quad-out-in",
			"value": "quad-out-in"
		},
		{
			"show": "Cubic-in",
			"value": "cubic-in"
		},
		{
			"show": "Cubic-out",
			"value": "cubic-out"
		},
		{
			"show": "Cubic-in-out",
			"value": "cubic-in-out"
		},
		{
			"show": "Cubic-out-in",
			"value": "cubic-out-in"
		},
		{
			"show": "Sin-in",
			"value": "sin-in"
		},
		{
			"show": "Sin-out",
			"value": "sin-out"
		},
		{
			"show": "Sin-in-out",
			"value": "sin-in-out"
		},
		{
			"show": "Sin-out-in",
			"value": "sin-out-in"
		},
		{
			"show": "Exp-in",
			"value": "exp-in"
		},
		{
			"show": "Exp-out",
			"value": "exp-out"
		},
		{
			"show": "Exp-in-out",
			"value": "exp-in-out"
		},
		{
			"show": "Exp-out-in",
			"value": "exp-out-in"
		},
		{
			"show": "Circle-in",
			"value": "circle-in"
		},
		{
			"show": "Circle-out",
			"value": "circle-out"
		},
		{
			"show": "Circle-in-out",
			"value": "circle-in-out"
		},
		{
			"show": "Circle-out-in",
			"value": "circle-out-in"
		},
		{
			"show": "Bounce-in",
			"value": "bounce-in"
		},
		{
			"show": "Bounce-out",
			"value": "bounce-out"
		},
		{
			"show": "Bounce-in-out",
			"value": "bounce-in-out"
		},
		{
			"show": "Bounce-out-in",
			"value": "bounce-out-in"
		}
	],
	"predicate_type": [
		{
			"show": "==",
			"value": "=="
		},
		{
			"show": "!=",
			"value": "!="
		},
		{
			"show": ">",
			"value": ">"
		},
		{
			"show": "<",
			"value": "<"
		},
		{
			"show": ">=",
			"value": ">="
		},
		{
			"show": "<=",
			"value": "<="
		},
		{
			"show": "And",
			"value": "and"
		},
		{
			"show": "&&",
			"value": "&&"
		},
		{
			"show": "Or",
			"value": "or"
		},
		{
			"show": "||",
			"value": "||"
		}
	],
	"propset_value": [
		{
			"show": "Circle",
			"value": "circle"
		},
		{
			"show": "Square",
			"value": "square"
		},
		{
			"show": "Cross",
			"value": "cross"
		},
		{
			"show": "Diamond",
			"value": "diamond"
		},
		{
			"show": "Triangle-up",
			"value": "triangle-up"
		},
		{
			"show": "Triangle-down",
			"value": "triangle-down"
		},
		{
			"show": "Linear",
			"value": "linear"
		},
		{
			"show": "Step-before",
			"value": "step-before"
		},
		{
			"show": "Step-after",
			"value": "step-after"
		},
		{
			"show": "Basis",
			"value": "basis"
		},
		{
			"show": "Basis-open",
			"value": "basis-open"
		},
		{
			"show": "Cardinal",
			"value": "cardinal"
		},
		{
			"show": "Cardinal-open",
			"value": "cardinal-open"
		},
		{
			"show": "Monotone",
			"value": "monotone"
		}
	],
	"signal_not": [
		{
			"show": "Datum",
			"value": "datum"
		},
		{
			"show": "Event",
			"value": "event"
		},
		{
			"show": "Signals",
			"value": "signals"
		},
		{
			"show": "IsNaN",
			"value": "isNaN"
		},
		{
			"show": "IsFinite",
			"value": "isFinite"
		},
		{
			"show": "Abs",
			"value": "abs"
		},
		{
			"show": "Acos",
			"value": "acos"
		},
		{
			"show": "Asin",
			"value": "asin"
		},
		{
			"show": "Atan",
			"value": "atan"
		},
		{
			"show": "Atan2",
			"value": "atan2"
		},
		{
			"show": "Ceil",
			"value": "ceil"
		},
		{
			"show": "Cos",
			"value": "cos"
		},
		{
			"show": "Exp",
			"value": "exp"
		},
		{
			"show": "Floor",
			"value": "floor"
		},
		{
			"show": "Log",
			"value": "log"
		},
		{
			"show": "Max",
			"value": "max"
		},
		{
			"show": "Min",
			"value": "min"
		},
		{
			"show": "Pow",
			"value": "pow"
		},
		{
			"show": "Random",
			"value": "random"
		},
		{
			"show": "Round",
			"value": "round"
		},
		{
			"show": "Sin",
			"value": "sin"
		},
		{
			"show": "Sqrt",
			"value": "sqrt"
		},
		{
			"show": "Tan",
			"value": "tan"
		},
		{
			"show": "Clamp",
			"value": "clamp"
		},
		{
			"show": "Now",
			"value": "now"
		},
		{
			"show": "Datetime",
			"value": "datetime"
		},
		{
			"show": "Date",
			"value": "date"
		},
		{
			"show": "Day",
			"value": "day"
		},
		{
			"show": "Year",
			"value": "year"
		},
		{
			"show": "Month",
			"value": "month"
		},
		{
			"show": "Hours",
			"value": "hours"
		},
		{
			"show": "Minutes",
			"value": "minutes"
		},
		{
			"show": "Seconds",
			"value": "seconds"
		},
		{
			"show": "Milliseconds",
			"value": "milliseconds"
		},
		{
			"show": "Time",
			"value": "time"
		},
		{
			"show": "Timezoneoffset",
			"value": "timezoneoffset"
		},
		{
			"show": "Utcdate",
			"value": "utcdate"
		},
		{
			"show": "Utcday",
			"value": "utcday"
		},
		{
			"show": "Utcyear",
			"value": "utcyear"
		},
		{
			"show": "Utcmonth",
			"value": "utcmonth"
		},
		{
			"show": "Utchours",
			"value": "utchours"
		},
		{
			"show": "Utcminutes",
			"value": "utcminutes"
		},
		{
			"show": "Utcseconds",
			"value": "utcseconds"
		},
		{
			"show": "Utcmilliseconds",
			"value": "utcmilliseconds"
		},
		{
			"show": "Length",
			"value": "length"
		},
		{
			"show": "Indexof",
			"value": "indexof"
		},
		{
			"show": "Lastindexof",
			"value": "lastindexof"
		},
		{
			"show": "ParseFloat",
			"value": "parseFloat"
		},
		{
			"show": "ParseInit",
			"value": "parseInit"
		},
		{
			"show": "Upper",
			"value": "upper"
		},
		{
			"show": "Lower",
			"value": "lower"
		},
		{
			"show": "Slice",
			"value": "slice"
		},
		{
			"show": "Substring",
			"value": "substring"
		},
		{
			"show": "Test",
			"value": "test"
		},
		{
			"show": "If",
			"value": "if"
		},
		{
			"show": "EventItem",
			"value": "EventItem"
		},
		{
			"show": "EventGroup",
			"value": "eventGroup"
		},
		{
			"show": "Eventx",
			"value": "eventx"
		},
		{
			"show": "Eventy",
			"value": "eventy"
		}
	],
	"transform_items_oneOf": [
		{
			"show": "Values",
			"value": "values"
		},
		{
			"show": "Count",
			"value": "count"
		},
		{
			"show": "Valid",
			"value": "valid"
		},
		{
			"show": "Missing",
			"value": "missing"
		},
		{
			"show": "Distinct",
			"value": "distinct"
		},
		{
			"show": "Sum",
			"value": "sum"
		},
		{
			"show": "Mean",
			"value": "mean"
		},
		{
			"show": "Average",
			"value": "average"
		},
		{
			"show": "Variance",
			"value": "variance"
		},
		{
			"show": "Variancep",
			"value": "variancep"
		},
		{
			"show": "Stdev",
			"value": "stdev"
		},
		{
			"show": "Stdevp",
			"value": "stdevp"
		},
		{
			"show": "Median",
			"value": "median"
		},
		{
			"show": "Q1",
			"value": "q1"
		},
		{
			"show": "Q3",
			"value": "q3"
		},
		{
			"show": "Modeskew",
			"value": "modeskew"
		},
		{
			"show": "Min",
			"value": "min"
		},
		{
			"show": "Max",
			"value": "max"
		},
		{
			"show": "Argmin",
			"value": "argmin"
		},
		{
			"show": "Argmax",
			"value": "argmax"
		},
		{
			"show": "Line",
			"value": "line"
		}
	],
	"transform_shape_oneOf": [
		{
			"show": "Line",
			"value": "line"
		},
		{
			"show": "Curve",
			"value": "curve"
		},
		{
			"show": "Diagonal",
			"value": "diagonal"
		},
		{
			"show": "DiagonalX",
			"value": "diagonalX"
		},
		{
			"show": "DiagonalY",
			"value": "diagonalY"
		}
	],
	"transform_offset_oneOf": [
		{
			"show": "Zero",
			"value": "zero"
		},
		{
			"show": "Silhouette",
			"value": "silthouette"
		},
		{
			"show": "Wiggle",
			"value": "wiggle"
		},
		{
			"show": "Expand",
			"value": "expand"
		}
	],
	"scale_type": [
		{
			"show": "Linear",
			"value": "linear"
		},
		{
			"show": "Ordinal",
			"value": "ordinal"
		},
		{
			"show": "Time",
			"value": "time"
		},
		{
			"show": "Utc",
			"value": "utc"
		},
		{
			"show": "Log",
			"value": "log"
		},
		{
			"show": "Pow",
			"value": "pow"
		},
		{
			"show": "Sqrt",
			"value": "sqrt"
		},
		{
			"show": "Quantile",
			"value": "quantile"
		},
		{
			"show": "Quantize",
			"value": "quantize"
		},
		{
			"show": "Threshold",
			"value": "threshold"
		}
	],
	"scale_range_oneOf": [
		{
			"show": "Width",
			"value": "width"
		},
		{
			"show": "Height",
			"value": "height"
		},
		{
			"show": "Shapes",
			"value": "shapes"
		},
		{
			"show": "Category10",
			"value": "category10"
		},
		{
			"show": "Category20",
			"value": "category20"
		}
	],
	"scale_nice_oneOf": [
		{
			"show": "Second",
			"value": "second"
		},
		{
			"show": "Minute",
			"value": "minute"
		},
		{
			"show": "Hour",
			"value": "hour"
		},
		{
			"show": "Day",
			"value": "day"
		},
		{
			"show": "Week",
			"value": "week"
		},
		{
			"show": "Month",
			"value": "month"
		},
		{
			"show": "Year",
			"value": "year"
		}
	],
	"data_properties_op": [
		{
			"show": "Values",
			"value": "values"
		},
		{
			"show": "Count",
			"value": "count"
		},
		{
			"show": "Valid",
			"value": "valid"
		},
		{
			"show": "Missing",
			"value": "missing"
		},
		{
			"show": "Distinct",
			"value": "distinct"
		},
		{
			"show": "Sum",
			"value": "sum"
		},
		{
			"show": "Mean",
			"value": "mean"
		},
		{
			"show": "Average",
			"value": "average"
		},
		{
			"show": "Variance",
			"value": "variance"
		},
		{
			"show": "Variancep",
			"value": "variancep"
		},
		{
			"show": "Stdev",
			"value": "stdev"
		},
		{
			"show": "Stdevp",
			"value": "stdevp"
		},
		{
			"show": "Median",
			"value": "median"
		},
		{
			"show": "Q1",
			"value": "q1"
		},
		{
			"show": "Q3",
			"value": "q3"
		},
		{
			"show": "Modeskew",
			"value": "modeskew"
		},
		{
			"show": "Min",
			"value": "min"
		},
		{
			"show": "Max",
			"value": "max"
		},
		{
			"show": "Argmin",
			"value": "argmin"
		},
		{
			"show": "Argmax",
			"value": "argmax"
		},
		{
			"show": "Line",
			"value": "line"
		}
	]
}
